Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1047 - Xntpd will mis-synchronize
Summary: Xntpd will mis-synchronize
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xntp3
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-05 00:15 UTC by keybounce
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-24 23:48:46 UTC


Attachments (Terms of Use)

Description keybounce 1999-02-05 00:15:43 UTC
Xntpd will improperly synchronize the clock.

The problem does not appear so much to be in the code, as in
one of the constants defined by the specifications -- it is
too loose.

A patch is coming.

Brief summary: Xntpd synchronzes when the "error" is less
than 1; this causes problems with all of the root clocks, as
they do not work that smoothly. Thus, they have a lot of
time steps; so do other sites that synch to them.

In addition, if you are doing a file transfer, xntpd's
concept of error will still go well below 1 during the file
transfer, and a 2-4 second error will be stepped into your
clock.

This patch lowers the treshold to .025.

I have been running this patch on xntpd-3.51 for over a year
on another machine; I have just applied it to our internal
time server today.

(yes, this really should be back-prop'd to the maintainers
of xntpd; I figured that it would be more likely to be
accepted if it had your backing as well)

Comment 1 Jeff Johnson 1999-03-24 23:48:59 UTC
Please reopen this bug with the patch. The Right Thing To Do
is to send the patch to the xntp3 crowd -- we'll be happy
to include the patch with an update of xntp3.


Note You need to log in before you can comment on or make changes to this bug.